+++
title = "Contrôleur alternatif pour HHKB"
slug = "controleur-alternatif-pour-hhkb-2"
date = 2022-05-27
updated = 2022-06-05
[taxonomies]
tags = ["Clavier"]
+++

Je souhaitais pouvoir modifier le layout de mon HHKB. En premier lieu la touche *Fn* dont je n'aime pas son placement. Et en bonus mettre les flèches sur les touches *hjkl* (comme Vim). Mais pour ça, il faut utiliser un contrôleur custom.

## Commande

J’ai pris celui-là : [USB Controller with Mini-B pour mon HHKB PD-KB400B ](https://geekhack.org/index.php?topic=71517.0)
À noter qu’il existe une version supportant le bluetooth

Pour commander, il faut envoyer un mail à [hasu@tmk-kbd.com](hasu@tmk-kbd.com), en précisant le modèle souhaité. Le règlement se fait par paypal. J’en ai eu pour 50$ frais de port inclus.
Le modèle bluetooth est à 75 euros de mémoire sans la batterie.

## Installation

Une photo de la bête qui est en haut, on voit qu’on perd les deux ports USB (que je n’utilisais pas) et ça laisse donc deux trous sur le boitier.

{{ image_fit(path="@/images/hhkb-controler.jpg") }}

Le changement est on ne peut plus simple. Par contre, il faut faire attention à bien remettre la nappe dans le bon sens, sinon on crame l’autre carte. Autant vous avouer que je n’ai pas eu super envie de tester.

## Keymap

De base, le contrôleur alternatif est configuré comme le contrôleur de base.

Pour faire la keymap j’ai utilisé le [TMK Keymap editor ](http://www.tmk-kbd.com/tmk_keyboard/editor/unimap/?hhkb)
Pour le test, j’ai fait une keymap, qui en maintenant « Espace », le layer 2 s’active. Et sur le layer 2, j’y ai mis les flèches sur HJKL, et le déplacement de la souris sur SDFG. Et ça fonctionne très bien.

Voilà le lien du keymap pour l’exemple : [TMK Keymap Editor](https://bit.ly/3G9pAea)

## Flash

Pour flasher le firmware, j’ai utilisé [dfu-programmer](https://github.com/tmk/tmk_keyboard/wiki/dfu-programmer-for-Windows).

Il faut cliquer pour le bouton à l’arrière du clavier pour passer en mode bootloader

Puis en trois commandes, c’est fait :

```bash
sudo dfu-programmer atmega32u4 erase
sudo dfu-programmer atmega32u4 flash Downloads/unimap.hex
sudo dfu-programmer atmega32u4 reset
```

atmega32u4 est le modèle du contrôleur et « Downloads/unimap.hex » le firware généré par TMK keymap editor.

Voilà ce que je peux en dire pour le moment, je vais continuer de jouer avec.
