---
title: Lutter contre ma procrastination
slug: lutter-contre-ma-procrastination
date_published: 2022-07-15T07:59:59.000Z
date_updated: 2022-07-26T07:11:14.000Z
tags: Méthodo
---

J'ai tendance à procrastiner facilement. Le meilleur exemple reste la préparation de mes sessions de jeu de rôle. Je suis maître du jeu et j'ai donc pas mal de préparation. Avec les aléas des calendriers de mes joueurs, j'ai soit deux semaines, soit un mois pour préparer la séance suivante. Quand j'ai un mois, on pourrait penser que j'en profite pour en préparer une de plus. Eh bien non, la [Loi de Parkinson](https://fr.wikipedia.org/wiki/Loi_de_Parkinson) qui dit que le travail s’étale de façon à occuper le temps disponible pour son achèvement s'applique bien. Je prends le mois complet pour la faire.

Pour lutter contre cet état de fait, je cherchais une méthode d'organisation. Et le déclic est venu de la vidéo située en bas de l'article. L'intérêt d'avoir une méthode est de créer des automatismes et ainsi de décharger le cerveau. Il suffit d'enchainer les étapes prévues.

Dans un premier temps, je tiens une liste de toutes les choses à faire. L'idée est qu'elle soit toujours à portée de la main pour ajouter immédiatement une nouvelle tâche et de fait diminuer la [charge cognitive](https://fr.wikipedia.org/wiki/Charge_cognitive). Il est important de décomposer ces choses en tâche les plus atomiques possible. En décomposant, on se sent beaucoup moins submergé par l'ampleur du travail à accomplir. Par exemple, *aller chercher le pain* est assez direct. À l'opposée *Écrire un livre* n'est pas facilement planifiable. Pour les choses les plus complexes, je les décompose au sein d'un projet et j'ordonne les tâches pour les faire séquentiellement.

La première fois, il est intéressant de faire un emploi du temps type en y mettant tout. Des phases de sommeil, à la douche, aux repas, pour bien repérer les créneaux de disponibles. Cette [vidéo](https://www.youtube.com/watch?v=ifZWcPXDyFc) donne un bon exemple.

La prochaine étape est la planification, en utilisant la technique du[*time-blocking*](https://clockify.me/blog/productivity/time-blocking/). Le soir, je pioche dans ma *ToDo List* les choses que je considère comme importantes et les ajoute à mon calendrier du lendemain. Une fois une tâche planifiée, je l'enlève de ma *ToDo List*. Ce qui veut dire que si je n'arrive pas à la faire au moment prévu, et ça arrive, je la reporte au lendemain. Dans le cas des projets, je prends simplement la tâche suivante dans l'ordre prévu préalablement. La clef, c'est de toujours avoir la tâche suivante définie pour ne pas enrayer la machine.

Je me limite à des blocs d'une à deux heures, il m'est difficile de rester concentré plus longtemps. Si une tâche semble plus longue, souvent, c'est qu'elle peut être découpée.

Quelques points complémentaires :

- quand je bloque sur un point, plutôt que de forcer, je replanifie. L'avantage de revenir plus tard est d'avoir un autre regard et donc de trouver une solution plus facilement.
- Quand je me sens distrait, plutôt que d'aller consulter mon téléphone ou autre, je me pose et attends que ça passe.
- Généralement, on pense que la motivation est nécessaire pour passer à l'action. Mais, d'après *The motivation myth* de Jeff Haden, c'est l'action qui crée la motivation grâce au sentiment de progrès. Le plan est de réussir à lancer la machine, une fois parti, c'est l'effet boule de neige. Une technique qui fonctionne bien pour moi est de planifier de courtes tâches, quelques minutes, en début de journée. Cela me permet d'amorcer la pompe.

Pour l'exemple, ce que j'ai réussi à mettre en place comme habitude :

- La course à pied : en partant de zéro à 39 ans, 3 ans plus tard, je fais 3 sorties par semaine pour un total de 40 km. J'ai commencé par des petites sorties de 15 à 20 minutes, pour en être à plus d'une heure maintenant.
- Regrettant de ne plus lire, dans mon planning, j'ai 30 minutes de lecture bloquées par jour, et je me tiens depuis plus de 6 mois.

Applications utilisées (rien d'incroyable) :

- *ToDo List* :  [Things 3](https://culturedcode.com/things/)
- Calendrier : après avoir testé plusieurs applications, finalement l'agenda papier est ce qui fonctionne le mieux pour moi.

Ma source principale, avec une longue bibliographie en description
