+++
title = "Neovim, mon éditeur de cœur"
slug = "neovim-mon-editeur-de-texte-de-coeur"
date = 2022-08-15
[taxonomies]
tags = ["Outil", "Neovim"]
+++

## Un peu d'histoire Vi/Vim/NeoVim

Vi est né en 1976. N'étant pas disponible sur Amiga, dans les années 80, il a été porté sous le nom de Vim (Vi IMitation). En 1991, Vim a été porté sur MS-DOS et Unix toujours sous le nom de Vim, mais pour Vi IMproved cette fois. Les années avançant, Vim a reçu beaucoup de nouvelles fonctionnalités et est toujours en développement. Ces ajouts au fil des années ont rendu le code source difficilement lisible et donc rendu la maintenabilité compliquée. En 2015, Neovim a forké Vim avec pour but premier de nettoyer le code en supprimant les parties inutiles et réorganisant le reste.
Tout ça pour dire que le développement de Neovim/Vim est en excellente santé.

## À quoi me sert-il ?

Essentiellement pour faire de la programmation, de l'édition de fichiers de configuration sur mes serveurs et de la rédaction de fichier en markdown. 

## Mon Neovim

Neovim passe-t-il la [checklist Jonathan Levefre](https://jonathanlefevre.com/outils/bon-editeur-de-texte/) ? Eh bien non, mais, il est possible de le configurer pour.
Il est entièrement paramétrable. Toute la configuration est centralisée dans un fichier de configuration, ou plusieurs si on souhaite la découper. Ce qui veut aussi dire qu'elle est transportable à volonté d'une machine à l'autre très facilement.
Les développeurs l'ont voulu extensible. Une API est disponible à tous les développeurs souhaitant créer des *plugins*. Et autant dire qu'il y en a pléthore. Utiliser Neovim sans plugins est faisable, mais je ne le conseille pas, par contre attention à ne pas tomber dans l'excès inverse et en mettre trop.
Cette personnalisation fait que mon Neovim est le mien et ne ressemble pas à celui des autres. Et c'est tout l'intérêt, il faut se l'approprier. 
Sans surprise, cela demande un certain investissement, mais le jeu en vaut la chandelle.

## Par où commencer ?

J'ai eu de la chance de tomber assez tôt sur *[Vim pour les humains](https://vimebook.com/fr)* qui est une excellente porte d'entrée pour les débutants.
Je conseille aussi très fortement l'aide intégrée au logiciel que j'ai délaissée bien trop longtemps. Elle est accessible via la commande *:help* ou directement [en ligne](https://neovim.io/doc/user/). Parcourir les fichiers de configurations d'autres personnes pour s'en inspirer. 
Il y a énormément d'autres ressources, la communauté est vraiment très grande.

## À noter

- Plutôt orienté Unix et MacOs, il est disponible sur Windows, mais moins adapté. Je n'ai pas testé depuis que Windows intègre un noyau Linux.
- Les raccourcis par défaut sont adaptés au clavier qwerty, mais rien n'empêche de tout reconfigurer

20 ans que je l'utilise et je l'apprécie toujours autant. À l'heure où tous les logiciels sont de plus en plus lourds, je suis conquis par son aspect minimaliste, son adaptabilité et sa légèreté.
