+++
title = "Le thème du blog"
slug = "le-theme-du-blog"
date = 2022-09-15
[taxonomies]
tags = ["Blog"]
+++

J'ai un peu cherché un thème qui me plairait pour ce blog, mais sans trouver mon bonheur. J'ai donc fait le mien avec mes faibles, très faibles, connaissances en design.

## Le plan était simple 

- Un petit menu pour le lien vers le flux [RSS](/rss.xml) et une page pour la collection [UHL](@/pages/une-heure-lumiere.md).
- Pas d'images pour le thème.
- Des couleurs pas trop classiques. 
- Les cinq derniers *posts* sur la première page. 

## Préparation de l'environnement de développement

En prérequis, il faut au moins la version 14 de nodejs et Debian 11 ne propose que la version 12 pour le moment.

Donc pour avoir la bonne version, j'ai ajouté un dépôt :

```bash
su -c 'curl -sL https://deb.nodesource.com/setup_14.x | bash -'
apt update
apt install nodejs
```

Maintenant qu'on a la base, il faut installer *Ghost* localement. J'ai suivi la [documentation officielle](https://ghost.org/docs/install/local/).

Une fois tout ça installer, on accède à *Ghost* à l'adresse suivante : http://localhost:2368/

## Le développement en lui-même

Je me suis appuyé sur ces deux tutoriels : [1](https://ryanfeigenbaum.com/ghost-theme-starter/) et [2](https://www.christhefreelancer.com/ghost-theme-development-guide/).

J'ai téléchargé un *template *avec une structure de base que j'ai adaptée selon mes besoins. Le moteur de *template* utilisé est [handlebar](https://handlebarsjs.com/guide/) qui se modifie très bien. 

Une fois arrivé au résultat escompté, il suffit d'exporter le *template* en format zip pour l'importer sur le blog en production.

Le résultat est trouvable [ici](https://gitea.fery.me/king/slef-theme).
